## rebar3 3.18.0~osmo2

=== _build/default/lib/ssl_verify_fun/Makefile ===
REBAR:=./rebar3

.PHONY: all erl test clean doc hexp

all: erl

erl:
	$(REBAR)  compile

test: all
	$(REBAR) eunit

clean:
	$(REBAR) clean
	-rm -rvf deps ebin doc .eunit _build

hexp:
	MIX_EXS=package.exs mix hex.publish

doc:
	$(REBAR) doc

=== debian/changelog ===
rebar3 (3.18.0~osmo2) unstable; urgency=medium

  * d/control: set debian-compat (= 12)
    (make it build with debian 10)

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 15 Jul 2022 14:48:11 +0200

rebar3 (3.18.0~osmo1) unstable; urgency=medium

  * debian/source/format: set to native

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 15 Jul 2022 13:54:29 +0200

rebar3 (3.18.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Philipp Huebner <debalance@debian.org>  Sun, 10 Apr 2022 17:06:04 +0200

rebar3 (3.18.0-1) unstable; urgency=medium

  * Initial upload (Closes: #824773)

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Jan 2022 12:50:09 +0100

=== debian/control ===
Source: rebar3
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12), erlang
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.rebar3.org/
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/rebar3
Vcs-Git: https://salsa.debian.org/erlang-team/packages/rebar3.git

Package: rebar3
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         erlang-asn1:any,
         erlang-base:any,
         erlang-common-test:any,
         erlang-crypto:any,
         erlang-dev:any,
         erlang-dialyzer:any,
         erlang-edoc:any,
         erlang-eunit:any,
         erlang-parsetools:any,
         erlang-reltool:any,
         erlang-syntax-tools:any,
         erlang-tools:any
Recommends: erlang, git
Enhances: erlang
Description: Erlang tool to create, develop, and release Erlang libraries and applications
 Rebar3 is an Erlang tool that makes it easy to create, develop, and release
 Erlang libraries, applications, and systems in a repeatable manner.
 Rebar3 will:
  * respect and enforce standard Erlang/OTP conventions for project structure
    so they are easily reusable by the community;
  * manage source dependencies and Erlang packages while ensuring repeatable
    builds;
  * handle build artifacts, paths, and libraries such that standard development
    tools can be used without a headache;
  * adapt to projects of all sizes on almost any platform;
  * treat documentation as a feature, and errors or lack of documentation as a
    bug.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	export HOME="$$(mktemp -d)" && ./bootstrap && rm -vrf "$$HOME"

override_dh_clean:
	dh_clean
	rm -rf _build/bootstrap/
	rm -rf _build/default/lib/bbmustache/ebin/
	rm -rf _build/default/lib/certifi/ebin/
	rm -rf _build/default/lib/cf/ebin/
	rm -rf _build/default/lib/cth_readable/ebin/
	rm -rf _build/default/lib/erlware_commons/ebin/
	rm -rf _build/default/lib/eunit_formatters/ebin/
	rm -rf _build/default/lib/getopt/ebin/
	rm -rf _build/default/lib/providers/ebin/
	rm -rf _build/default/lib/rebar/
	rm -rf _build/default/lib/relx/ebin/
	rm -rf _build/default/lib/ssl_verify_fun/ebin/
	rm -rf _build/prod/
	rm -rf rebar3
	rm -rf src/vendored/r3_safe_erl_term.erl

=== debian/watch ===
version=4
https://github.com/weiss/rebar3/releases .+/rebar3-(\d\S+)\.tar\.gz

## rebar3 3.18.0

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12), erlang
+Build-Depends: debhelper-compat (= 13), erlang
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.rebar3.org/

## rebar3 3.19.0

=== debian/changelog ===
rebar3 (3.19.0-1) unstable; urgency=medium

  * New upstream version 3.19.0
  * Updated years in debian/copyright
  * Updated lintian overrides
  * Updated Standards-Version: 4.6.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Nov 2022 11:26:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13), erlang
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.rebar3.org/
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/rebar3

## rebar3 3.23.0

=== debian/changelog ===
rebar3 (3.23.0-3) unstable; urgency=medium

  * Team upload
  * Fix a test in the rebar3 alias test suite

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 05 Dec 2024 18:36:27 +0300

rebar3 (3.23.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Updated Standards-Version: 4.7.0 (no changes needed)

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Dec 2024 16:19:18 +0300

rebar3 (3.23.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.23.0
  * Upload to experimental to test with Erlang 27
  * Add erlang-inets to the binary package dependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 03 May 2024 18:17:24 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 13), erlang
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), erlang-base (>= 1:27), erlang
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://www.rebar3.org/
+Homepage: https://www.rebar3.org/
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/rebar3
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/rebar3.git
 
@@ -15,19 +15,21 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          erlang-asn1:any,
-         erlang-base:any,
+         erlang-base:any (>= 1:27),
          erlang-common-test:any,
          erlang-crypto:any,
          erlang-dev:any,
          erlang-dialyzer:any,
          erlang-edoc:any,
          erlang-eunit:any,
+         erlang-inets:any,
          erlang-parsetools:any,
          erlang-reltool:any,
          erlang-syntax-tools:any,
          erlang-tools:any
 Recommends: erlang, git
 Enhances: erlang
+Multi-Arch: foreign
 Description: Erlang tool to create, develop, and release Erlang libraries and applications
  Rebar3 is an Erlang tool that makes it easy to create, develop, and release
  Erlang libraries, applications, and systems in a repeatable manner.

## rebar3 3.24.0

=== apps/rebar/priv/templates/Makefile ===
# Based on c_src.mk from erlang.mk by Loic Hoguin <essen@ninenines.eu>

CURDIR := $(shell pwd)
BASEDIR := $(abspath $(CURDIR)/..)

PROJECT ?= $(notdir $(BASEDIR))
PROJECT := $(strip $(PROJECT))

ERTS_INCLUDE_DIR ?= $(shell erl -noshell -eval "io:format(\"~ts/erts-~ts/include/\", [code:root_dir(), erlang:system_info(version)])." -s init stop)
ERL_INTERFACE_INCLUDE_DIR ?= $(shell erl -noshell -eval "io:format(\"~ts\", [code:lib_dir(erl_interface, include)])." -s init stop)
ERL_INTERFACE_LIB_DIR ?= $(shell erl -noshell -eval "io:format(\"~ts\", [code:lib_dir(erl_interface, lib)])." -s init stop)

C_SRC_DIR = $(CURDIR)
C_SRC_OUTPUT ?= $(CURDIR)/../priv/$(PROJECT).so

# System type and C compiler/flags.

UNAME_SYS := $(shell uname -s)
ifeq ($(UNAME_SYS), Darwin)
	CC ?= cc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -finline-functions -Wall
	LDFLAGS ?= -flat_namespace -undefined suppress
else ifeq ($(UNAME_SYS), FreeBSD)
	CC ?= cc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -finline-functions -Wall
else ifeq ($(UNAME_SYS), Linux)
	CC ?= gcc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -finline-functions -Wall
endif

CFLAGS += -fPIC -I $(ERTS_INCLUDE_DIR) -I $(ERL_INTERFACE_INCLUDE_DIR)
CXXFLAGS += -fPIC -I $(ERTS_INCLUDE_DIR) -I $(ERL_INTERFACE_INCLUDE_DIR)

LDLIBS += -L $(ERL_INTERFACE_LIB_DIR) -lei
LDFLAGS += -shared

# Verbosity.

c_verbose_0 = @echo " C     " $(?F);
c_verbose = $(c_verbose_$(V))

cpp_verbose_0 = @echo " CPP   " $(?F);
cpp_verbose = $(cpp_verbose_$(V))

link_verbose_0 = @echo " LD    " $(@F);
link_verbose = $(link_verbose_$(V))

SOURCES := $(shell find $(C_SRC_DIR) -type f \( -name "*.c" -o -name "*.C" -o -name "*.cc" -o -name "*.cpp" \))
OBJECTS = $(addsuffix .o, $(basename $(SOURCES)))

COMPILE_C = $(c_verbose) $(CC) $(CFLAGS) $(CPPFLAGS) -c
COMPILE_CPP = $(cpp_verbose) $(CXX) $(CXXFLAGS) $(CPPFLAGS) -c

$(C_SRC_OUTPUT): $(OBJECTS)
	@mkdir -p $(BASEDIR)/priv/
	$(link_verbose) $(CC) $(OBJECTS) $(LDFLAGS) $(LDLIBS) -o $(C_SRC_OUTPUT)

%.o: %.c
	$(COMPILE_C) $(OUTPUT_OPTION) $<

%.o: %.cc
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

%.o: %.C
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

%.o: %.cpp
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

clean:
	@rm -f $(C_SRC_OUTPUT) $(OBJECTS)

=== debian/changelog ===
rebar3 (3.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.24.0
  * Updated Standards-Version: 4.7.2 (no changes needed)

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Mar 2025 19:59:45 +0300

## rebar3 3.25.1

=== debian/changelog ===
rebar3 (3.25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Aug 2025 13:00:40 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13), erlang-base (>= 1:27), erlang
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.rebar3.org/
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/rebar3

=== debian/tests/control ===
Test-Command: DIAGNOSTIC=1 rebar3 help
Restrictions: allow-stderr, superficial

Test-Command: DIAGNOSTIC=1 rebar3 ct
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4
https://github.com/erlang/rebar3/tags /erlang/rebar3/archive/refs/tags/(\d\S+)\.tar\.gz

## rebar3 3.26.0

=== debian/changelog ===
rebar3 (3.26.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Updated Standards-Version: 4.7.3 (no changes needed)

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 13 Jan 2026 13:56:56 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13), erlang-base (>= 1:27), erlang
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://www.rebar3.org/
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/rebar3
